Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Interface PersistenceCapable.ObjectIdFieldConsumer

All Known Subinterfaces:
  PersistenceCapable.ObjectIdFieldManager

Enclosing class:
  PersistenceCapable

public static interface PersistenceCapable.ObjectIdFieldConsumer

This interface is used to store fields from the Object id instance. It is used by the method copyKeyFieldsFromObjectId. When the method is called, the generated code calls the instance of ObjectIdFieldManager for each field in the object id.

Method Summary
`void` | `storeBooleanField(int fieldNumber, boolean value)` Store one field into the field manager.
`void` | `storeByteField(int fieldNumber, byte value)` Store one field into the field manager.
`void` | `storeCharField(int fieldNumber, char value)` Store one field into the field manager.
`void` | `storeDoubleField(int fieldNumber, double value)` Store one field into the field manager.
`void` | `storeFloatField(int fieldNumber, float value)` Store one field into the field manager.
`void` | `storeIntField(int fieldNumber, int value)` Store one field into the field manager.
`void` | `storeLongField(int fieldNumber, long value)` Store one field into the field manager.
`void` | `storeObjectField(int fieldNumber, java.lang.Object value)` Store one field into the field manager.
`void` | `storeShortField(int fieldNumber, short value)` Store one field into the field manager.
`void` | `storeStringField(int fieldNumber, java.lang.String value)` Store one field into the field manager.

Method Detail

### storeBooleanField

    public void storeBooleanField(int fieldNumber,
                                  boolean value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeCharField

    public void storeCharField(int fieldNumber,
                               char value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeByteField

    public void storeByteField(int fieldNumber,
                               byte value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeShortField

    public void storeShortField(int fieldNumber,
                                short value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeIntField

    public void storeIntField(int fieldNumber,
                              int value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeLongField

    public void storeLongField(int fieldNumber,
                               long value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeFloatField

    public void storeFloatField(int fieldNumber,
                                float value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeDoubleField

    public void storeDoubleField(int fieldNumber,
                                 double value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeStringField

    public void storeStringField(int fieldNumber,
                                 java.lang.String value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

### storeObjectField

    public void storeObjectField(int fieldNumber,
                                 java.lang.Object value)

  Store one field into the field manager. This field was retrieved from the field of the ObjectId.
  Parameters:
    `fieldNumber` - the field number of the key field.
    `value` - the value of the field from the ObjectId.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD